- name: Odoo 11
  hosts: odoo11
  remote_user: root
  become: yes
  roles:
    - postgresql
    - ansible-odoo
    - ansible-odoo-nginx
    - ansible-role-certbot
  vars:
    # [postgresql]
    - postgresql_version: 9.6
    # [odoo]
    - odoo_version: 11.0
    - odoo_install_type: pip
    - odoo_pip_requirements_url: https://raw.githubusercontent.com/Eficent/sample-oca-pip-requirements/11.0/requirements.txt
    - odoo_config_unaccent: True
    - odoo_config_admin_passwd: SuPerPassWorD
    - odoo_config_data_dir: "home/odoo/data"
    # [ridingbytes_nginx]
    - nginx_odoo_server: "oca.forksand.com"
    - ssl_certificate: /etc/letsencrypt/live/oca.forksand.com/fullchain.pem
    - ssl_certificate_key: /etc/letsencrypt/live/oca.forksand.com/privkey.pem
    # [certbot]        
    - certbot_create_if_missing: yes    
    - certbot_certs:
      - domains:
        - oca.forksand.com
  environment:
     LC_ALL: en_US.UTF-8

